#
# spec file for package taglib-extras (Version 0.1.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Url:            http://amarok.kde.org

Name:           taglib-extras
BuildRequires:  kdebase4-workspace-devel taglib-devel
License:        LGPL v2.1 or later
Group:          Development/Libraries/C and C++
Summary:        Extra plugins for TagLib
Version:        0.1.3
Release:        2.1
Source0:        taglib-extras-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Unofficial TagLib file type plugins maintained by the Amarok project



%package devel
License:        LGPL v2.1 or later
Group:          Development/Libraries/C and C++
Summary:        Extra plugins for TagLib
Requires:       libtag-extras0 = %{version} libstdc++-devel

%description devel
Unofficial TagLib file type plugins maintained by the Amarok project



%package -n libtag-extras0
License:        LGPL v2.1 or later
Group:          System/GUI/KDE
Summary:        Extra plugins for TagLib
Requires:       %name = %{version}

%description -n libtag-extras0
Unofficial TagLib file type plugins maintained by the Amarok project



%prep
%setup -q -n %name

%build  
export CXXFLAGS="%{optflags}"  
export CFLAGS="%{optflags}"  
_libsuffix=$(echo %_lib | cut -b4-)  
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -DBUILD_TESTS:BOOL=ON -DLIB_SUFFIX=$_libsuffix -DWITH_KDE=ON .  
%{__make} %{?jobs:-j %jobs} VERBOSE=1  

%install  
%{__make} DESTDIR="%{buildroot}" install  

%clean  
%{__rm} -rf %{buildroot}  

%post -n libtag-extras0 -p /sbin/ldconfig  

%postun -n libtag-extras0 -p /sbin/ldconfig  

%files  
%defattr(-,root,root)  
%doc AUTHORS ChangeLog COPYING.LGPL

%files -n libtag-extras0
%defattr(-,root,root)
%{_libdir}/libtag-extras*.so.*  

%files -n taglib-extras-devel  
%defattr(-,root,root)  
%doc AUTHORS ChangeLog COPYING.LGPL
%{_bindir}/taglib-extras-config  
%{_includedir}/taglib-extras  
%{_libdir}/libtag-extras*.so  
%{_libdir}/pkgconfig/*.pc  

%changelog
* Wed May 20 2009 coolo@suse.de
- fix package split
* Wed May  6 2009 beineri@opensuse.org
- update to 0.1.3 release: fix mp4 file-handling crash on some mp4
* Tue Mar 24 2009 shrikantkhare@gmail.com
- update to version 0.1.0svn943962
* Fri Mar 20 2009 shrikantkhare@gmail.com
- initial package, version 0.1.0
